package com.ruoyi.oa.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.oa.mapper.CmcAssessContentMapper;
import com.ruoyi.oa.domain.CmcAssessContent;
import com.ruoyi.oa.service.ICmcAssessContentService;

/**
 * 考核内容Service业务层处理
 * 
 * @author cmc
 * @date 2024-01-09
 */
@Service
public class CmcAssessContentServiceImpl implements ICmcAssessContentService 
{
    @Autowired
    private CmcAssessContentMapper cmcAssessContentMapper;

    /**
     * 查询考核内容
     * 
     * @param contentId 考核内容主键
     * @return 考核内容
     */
    @Override
    public List<CmcAssessContent> selectCmcAssessContentByContentId(String contentId)
    {
        return cmcAssessContentMapper.selectCmcAssessContentByContentId(contentId);
    }

    /**
     * 查询考核内容列表
     * 
     * @param cmcAssessContent 考核内容
     * @return 考核内容
     */
    @Override
    public List<CmcAssessContent> selectCmcAssessContentList(CmcAssessContent cmcAssessContent)
    {
        return cmcAssessContentMapper.selectCmcAssessContentList(cmcAssessContent);
    }

    /**
     * 新增考核内容
     * 
     * @param cmcAssessContent 考核内容
     * @return 结果
     */
    @Override
    public int insertCmcAssessContent(CmcAssessContent cmcAssessContent)
    {
        return cmcAssessContentMapper.insertCmcAssessContent(cmcAssessContent);
    }

    /**
     * 修改考核内容
     * 
     * @param cmcAssessContent 考核内容
     * @return 结果
     */
    @Override
    public int updateCmcAssessContent(CmcAssessContent cmcAssessContent)
    {
        return cmcAssessContentMapper.updateCmcAssessContent(cmcAssessContent);
    }

    /**
     * 批量删除考核内容
     * 
     * @param contentIds 需要删除的考核内容主键
     * @return 结果
     */
    @Override
    public int deleteCmcAssessContentByContentIds(String[] contentIds)
    {
        return cmcAssessContentMapper.deleteCmcAssessContentByContentIds(contentIds);
    }

    /**
     * 删除考核内容信息
     * 
     * @param contentId 考核内容主键
     * @return 结果
     */
    @Override
    public int deleteCmcAssessContentByContentId(String contentId)
    {
        return cmcAssessContentMapper.deleteCmcAssessContentByContentId(contentId);
    }
}
